package com.fs.ad.mapper;

import java.util.List;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.fs.ad.domain.AdDyAccount;

/**
 * 抖音账户Mapper接口
 * 
 * @author 吴树波
 * @date 2025-05-27
 */
public interface AdDyAccountMapper extends BaseMapper<AdDyAccount>{
    /**
     * 查询抖音账户
     * 
     * @param id 抖音账户主键
     * @return 抖音账户
     */
    AdDyAccount selectAdDyAccountById(Long id);

    /**
     * 查询抖音账户列表
     * 
     * @param adDyAccount 抖音账户
     * @return 抖音账户集合
     */
    List<AdDyAccount> selectAdDyAccountList(AdDyAccount adDyAccount);

    /**
     * 新增抖音账户
     * 
     * @param adDyAccount 抖音账户
     * @return 结果
     */
    int insertAdDyAccount(AdDyAccount adDyAccount);

    /**
     * 修改抖音账户
     * 
     * @param adDyAccount 抖音账户
     * @return 结果
     */
    int updateAdDyAccount(AdDyAccount adDyAccount);

    /**
     * 删除抖音账户
     * 
     * @param id 抖音账户主键
     * @return 结果
     */
    int deleteAdDyAccountById(Long id);

    /**
     * 批量删除抖音账户
     * 
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    int deleteAdDyAccountByIds(Long[] ids);
}
